#!/bin/bash

set -e -u

S=$(realpath $(dirname $0)/..)
O=$(dirname $(readlink $(which pinmuxer)))

echo "S: $S"
echo "O: $O"

# chmod 777 -R $O/CMakeFiles/pinmuxer.dir/

mkdir -p $O/gov
cd $S
gcovr -r . --html --html-details -o $O/gov/index.html $O

echo "See $O/gov/index.html"


#---fin------------------------------------------------------------------------
